package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 考核等级
 */
public enum ExamineLevelEnum {
    好(1, "通过"),
    较好(2, "不通过"),
    一般(3, "通过"),
    较差(4, "不通过");
    private Integer value;
    private String desc;

    ExamineLevelEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static ExamineLevelEnum getByValue(Integer value) {
        for (ExamineLevelEnum ExamineLevelEnum : ExamineLevelEnum.values()) {
            if (ExamineLevelEnum.getValue() == value) {
                return ExamineLevelEnum;
            }
        }
        return null;
    }

    /**
     * 获取Map集合
     *
     * @param eItem 不包含项
     * @return
     */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (ExamineLevelEnum item : ExamineLevelEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}
